<?xml version="1.0" encoding="utf-8" ?>
<configuration>
  <configSections>
    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
      <section name="ChatServer.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.8" />
  </startup>
  <appSettings>
    <!-- TCP 채팅 서버 포트 -->
    <add key="TcpPort" value="5000" />
    <!-- 최대 동시 접속자 수 -->
    <add key="MaxClients" value="100" />
  </appSettings>
  <userSettings>
    <ChatServer.Properties.Settings>
      <setting name="TcpPort" serializeAs="String">
        <value>5000</value>
      </setting>
      <setting name="MaxClients" serializeAs="String">
        <value>1000</value>
      </setting>
    </ChatServer.Properties.Settings>
  </userSettings>
</configuration>
